<?php


/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class HinterlegungAnmeldeArtDialog extends HinterlegungDialogBasis
{
  
  public $data;

  
  public function __construct()
  {
    parent::__construct();
    $dbwanmart = new DBWorkHLAnmArt();
    $this->data = $dbwanmart->getAll();
  }

  
  public function GetColumnCount()
  {
    return 2;
  }

  
  public function GetColumnTitle($col)
  {
    switch ($col) {
      case 0: return 'Kennz';
      case 1: return 'Text';
    }

    return '';
  }

  
  public function GetColumnWidth($col)
  {
    switch ($col) {
      case 0: return '20%';
      case 1: return '80%';
    }

    return '';
  }

  
  public function GetIdColumnIndices()
  {
    return array(0);
  }

  
  public function GetRowCount()
  {
    return count($this->data);
  }

  
  public function GetValueAt($row, $col)
  {
    switch ($col) {
      case 0: return $this->data[$row]->kennz;
      case 1: return $this->data[$row]->text;
    }
  }
}